## section-test

section-test

## Functions

int | flickcurl_test_echo ()
char * | flickcurl_test_login ()
int | flickcurl_test_null ()

## Description

## Functions

### flickcurl_test_echo ()

    int
    flickcurl_test_echo (flickcurl *fc,
                         const char *key,
                         const char *value);

A testing method which echo's all parameters back in the response.

Actually prints the returned byte count to stderr.

Implements flickr.test.echo (0.5)

#### Parameters

fc | flickcurl context |
key | test key |
value | test value |

#### Returns

non-0 on failure

### flickcurl_test_login ()

    char *
    flickcurl_test_login (flickcurl *fc);

A testing method which checks if the caller is logged in then returns their username.

Implements flickr.test.login (1.0)

#### Parameters

fc | flickcurl context |

#### Returns

username or NULL on failure

### flickcurl_test_null ()

    int
    flickcurl_test_null (flickcurl *fc);

Null test

Implements flickr.test.null (1.0)

#### Parameters

fc | flickcurl context |

#### Returns

non-0 on failure